Subject: Re: as2 comments

From: "Dale Moberg" <[email-masked]>
Date: Wed, 28 Jul 1999 08:12:48 -0400

Comments inline.

comments anyone?

-----Original Message-----
From: Dick Brooks [mailto:[email-masked]]
Sent: Tuesday, July 27, 1999 6:47 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Comments....

hi Rik/Dale, I've reviewed AS2. Here are my comments:

- this draft looks really good, there are only a couple of issues that we
need to discuss

1. We need to consider opening up the payload to non-EDI objects, e.g
   XML. In other words let's not restrict ourselves to RFC1767 payloads, but
   rather MIME payloads, which includes the RFC1767 content types.

Rik, is this within our current scope? Otherwise seems like an obvious
addition given that other content types are being used for EDI/EC.

2. We need a PGP example example for appendix A; I volunteer to
   provide this in the next couple of weeks.

Great! Send it when finished.

3. I think we should add optional support for "opaque" signatures. The GISB
   folks are using opaque signatures and it looks like the XFDL folks are
   looking to support them as well.

We have previously suggested allowing these (previous meaning probably
three years ago). The 'consensus' seemed to have been to always
use the multipart/signed detached signatures. Maybe this issue can
be raised again and the arguments reviewed. The email contingent
lobbied very strongly for non-opaque; but this uses HTTP. Maybe
that is a relevant difference.

4. More specification of error messages that can be returned (e.g. bad
   signature verification, etc.) . I can provide what
   has been specified in GISB as a strawman for this.

Let's add an appendix B for these.

5. Need an example of the GISB acknowledgement as an example of a
generalized
   receipt type in section 2.5.2. I volunteer to supply this.

Excellent again. One thing that I forgot to type in was the value for
the report-type parameter in the multipart/report MIME content-type
We could propose using "generalized-receipt" as a value or we
could use, for example, "gisb" or "e5" and so on. I have no
strong sentiment either way though I think it might be easier
to prepare for different semantics by using  more specific choices,
reserving "generalized-receipt" to be the most semantically unspecified

---

From: "Rik Drummond" <[email-masked]>
Date: Wed, 28 Jul 1999 07:57:10 -0500

our new charter for ediint allows xml constructs and it allows for edi
objects.

however, it may be appropriate to do it for edi and xml/edi and then just
say if some "non-edi objects" come along as part of the transfer here is how
one does it.

I would like to have this done by end of august for a "wg last call". Is
that doable. If so that means we could do a last call for rfc in sept. or
oct. Is that do able editors?

best regards, rik

-----Original Message-----
From: Dave Darnell [mailto:[email-masked]]
Sent: Wednesday, July 28, 1999 7:45 AM
To: Dale Moberg; Rik Drummond; [email-masked]
Cc: [email-masked]
Subject: RE: as2 comments

Rik,

I would like to indicate my support of Dick's recommendations.

ESPECIALLY opening up the payload to non_EDI objects, e.g. XML

Thanks,
Dave Darnell

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]On
Behalf Of Dale Moberg
Sent: Wednesday, July 28, 1999 5:13 AM
To: Rik Drummond
Cc: [email-masked]
Subject: Re: as2 comments

Comments inline.

comments anyone?

---

From: "Dave Darnell" <[email-masked]>
Date: Wed, 28 Jul 1999 05:45:28 -0700

Rik,

Thanks,
Dave Darnell

-----Original Message-----

Comments inline.

comments anyone?

---

From: "Dave Welsh" <[email-masked]>
Date: Wed, 28 Jul 1999 16:35:39 -0700

Rik,
Good approach.

It's definitely needed to go beyond 'edi'; whatever that means these days.
Giving a (any) direction on the XML/EDI route would certainly help.
With increasing 'content' getting focus / available in various formats, incl
binary, there needs to be a "how to" guideline.

Dave Welsh
EDI Manager
http://www.amazon.com  - Earth's Biggest Selection
(206) 834 - 7170

> Behalf Of Rik Drummond
> Sent: Wednesday, July 28, 1999 5:57 AM
> To: [email-masked]; Dale Moberg; [email-masked]
> Cc: [email-masked]